# PodFactoryPostProcessor class abstract interface

Factory hook that allows for custom modification of an application context's pod definitions, adapting the pod property values of the context's underlying pod factory.

This interface is called after all pod definitions have been loaded but before any pods have been instantiated. It allows for overriding or adding properties to pod definitions.

It supports two types of constructors:

- No-Args: Meaning that there will no arguments in the constructor.
- One-Arg: Meaning that there will be only one argument in the constructor of type Environment

## Usage Example

    class PropertyPlaceholderPostProcessor implements PodFactoryPostProcessor {
      @override
      Future<void> processFactory(ConfigurableListablePodFactory podFactory) {
        final podNames = podFactory.getPodDefinitionNames();
        for (final name in podNames) {
          final definition = podFactory.getPodDefinition(name);
          processPlaceholders(definition);
        }
      }
    }

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
postProcessFactory(ConfigurableListablePodFactory podFactory) → Future<void>
  Factory hook that allows for custom modification of an application context's pod definitions, adapting the pod property values of the context's underlying pod factory.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited